Import-Module PKI

Push-Location
$certName = $Args[0]
$password = $Args[1]
if($certName.count -eq 0)
{
exit
}
if((Get-ChildItem -Path Cert:\LocalMachine\My | Where-Object {$_.Subject -match "$certName.cert"}).count -ne 0)
{
echo "Name already exist"
echo "Your suggested name: $certName.cert"
echo "Your certifications:"
Get-ChildItem -Path Cert:\LocalMachine\My
exit
}
New-SelfSignedCertificate -DnsName "$certName.cert" -CertStoreLocation Cert:\LocalMachine\My
 
Get-ChildItem -Path Cert:\LocalMachine\My
 
$SelfSignedCert = Get-ChildItem Cert:\LocalMachine\My -DnsName "$certName.cert"
Export-Certificate -Cert $SelfSignedCert -FilePath $PSScriptRoot\$certName.cer -Type CERT
 
$SelfSignedCert = Get-ChildItem Cert:\LocalMachine\My -DnsName "$certName.cert"
$certpwd = ConvertTo-SecureString -String $password -Force AsPlainText
Export-PfxCertificate -Cert $SelfSignedCert -FilePath $PSScriptRoot\$certName.pfx -Password $certpwd

$Thumbprint = (Get-ChildItem -Path Cert:\LocalMachine\My | Where-Object {$_.Subject -match "$certName.cert"}).Thumbprint;
echo $Thumbprint | clip.exe;
Write-Host -Object "Your generated thumbprint [$Thumbprint] has been copied to clipboard";
$dummy = Read-Host -Prompt 'Press enter key'